//********************************************************************
// Author: W. Savitch (modified by L. Kosseim)
//
//  This class demonstrated the StringTokenizer class
//********************************************************************

import java.util.Scanner;
import java.util.StringTokenizer;

public class StringTokenizerDemo
{
    public static void main(String[] args)
    {
        Scanner keyboard = new Scanner(System.in);

        // let's get a string from the user
        System.out.println("Enter your last name");
        System.out.println("followed by your first and middle names.");
        System.out.println("If you have no middle name,");
        System.out.println("enter \"None\".");
        String inputLine = keyboard.nextLine( );

        // the word delimiters are set to a comma and a blank
        String delimiters = ", "; //Comma and blank space
        
        // let's tokenize (cut into tokens) our string
        StringTokenizer nameFactory = 
             new StringTokenizer(inputLine, delimiters);

        // now let's get each token one by one and save them in string
        String lastName = nameFactory.nextToken( );
        String firstName = nameFactory.nextToken( );
        String middleName = nameFactory.nextToken( );
        
        if (middleName.equalsIgnoreCase("None"))
            middleName = ""; //Empty string
        System.out.println("Hello " + firstName
                               + " " + middleName + " " + lastName);
     }
}
